#ifndef XINEMA_H_
#define XINEMA_H_

#include <msp/core/application.h>
#include <msp/core/mutex.h>
#include <msp/graphics/display.h>
#include <msp/graphics/window.h>

class XineEngine;
class XineStream;

class Xinema: public Msp::RegisteredApplication<Xinema>
{
private:
	std::string filename;
	Msp::Graphics::Display display;
	Msp::Mutex display_mutex;
	Msp::Graphics::Window window;
	XineEngine *engine;
	XineStream *stream;

public:
	Xinema(int, char **);

	virtual int main();

private:
	virtual void tick();
};

#endif
